summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2025-02-28 04:32:13 +0100
committerMichał Górny <mgorny@gentoo.org>2025-02-28 05:42:19 +0100
commitbc1a37e751ac5ee32733c764f0eaeb3800f51b77 (patch)
tree657b0dcc1017cfbe9268f96a9a0917c8935cabc8 /dev-python
parent4d2f0f37dbce9632a604818f24fae6db468cd1d6 (diff)
downloadgentoo-bc1a37e751ac5ee32733c764f0eaeb3800f51b77.tar.gz
gentoo-bc1a37e751ac5ee32733c764f0eaeb3800f51b77.tar.bz2
gentoo-bc1a37e751ac5ee32733c764f0eaeb3800f51b77.zip
dev-python/boto3: Bump to 1.37.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.37.3.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f5ed611ff1db..7488a6a9eef1 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.36.26.gh.tar.gz 903988 BLAKE2B f9bb945e9132a7af7bd92ff48e5a99cc8948
DIST boto3-1.37.0.gh.tar.gz 905790 BLAKE2B 8748fb2d4a121fc2c363e1eec7b2f5659b95b3729aaa12986d4991245fe225ab2215de3877b787ad917f9cc143998f8386e4091269dfd83fb1345345bb82f637 SHA512 33efb9eca9750fda5323170ce5dd5f3368215a9046f616490bc5397ee159bbb4999502ce83176d4d1429c22c119e657357e70af3e8400b5bbbeedc6a30fdf98d
DIST boto3-1.37.1.gh.tar.gz 906424 BLAKE2B 007da322565a7527a1b69c5960a7193e61eb0ce6efd76f3d7c74a3d859363e8be87fb8392e2c18803b8dab096deb42fefa611996f1ecc68c624bb3fefbf52e84 SHA512 b57b0ba09bae819ff3d4df721d5fcf89bb7f6cfcfd08d9012e468663941b7d6ea1f6d9f05970db6bc847935a85a72c511402c017a70a8ed7353dadf42ba59fde
DIST boto3-1.37.2.gh.tar.gz 907284 BLAKE2B dc8ae0d9be3f77ea935039288c6e199d2a928ed36c6b852d04365d108ce2e1863602550959a8d3d6b20d2ff5dd8f88742f13b5b0bff150c975849b0ce8506ba1 SHA512 d8c26c42afc2661974e3c80917533d8ca83583473357885316606a35f17da8f0f65074701e64a3ba9fb37562ee57d3a65c4ae6cf2ffe89388e14a84ef0b45d4e
+DIST boto3-1.37.3.gh.tar.gz 907758 BLAKE2B cb29a05770d093e4791424330858fe7889d1c6c5c0a906970936e690c1f4b8477ad9316d46de8321873eeabfda1b88df8658d72e2a56eb67fb4043ae4658acfc SHA512 8eff6cbdd44fe5b6fb2ad041ccadd3390548164ca08635682bb13d26330b79e5e9eddeff80d180d5c8d8d651d2600f957719a74ef16d572d94a57d9faf75809f
diff --git a/dev-python/boto3/boto3-1.37.3.ebuild b/dev-python/boto3/boto3-1.37.3.ebuild
new file mode 100644
index 000000000000..b087a88814e8
--- /dev/null
+++ b/dev-python/boto3/boto3-1.37.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}